#ifndef CAMERA_POOL_CLASS_H
#define CAMERA_POOL_CLASS_H

#include "camera.h"
#include <array>
#include <mutex>
#include <condition_variable>

typedef struct
{
    bool updated = false;
    uint32_t id;
    mdc::camera::CameraData image;
    std::vector<mdc::camera::CameraData> imageVector;
} CameraImageResult;

class CameraPool
{
public:
    std::mutex mtx[4];
    std::condition_variable cv[4];
    bool dataReady[4] = { false, false, false, false };
    std::array<CameraImageResult, 4> pool;
};
#endif